org.keycloak.services.util

## Class AuthenticationFlowURLHelper

- java.lang.Object
- - org.keycloak.services.util.AuthenticationFlowURLHelper

-     public class AuthenticationFlowURLHelper
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationFlowURLHelper(KeycloakSession session, RealmModel realm, javax.ws.rs.core.UriInfo uriInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getLastExecutionUrl(AuthenticationSessionModel authSession)`
    `URI` | `getLastExecutionUrl(String flowPath, String executionId, String clientId, String tabId)`
    `javax.ws.rs.core.Response` | `showPageExpired(AuthenticationSessionModel authSession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### AuthenticationFlowURLHelper

          public AuthenticationFlowURLHelper(KeycloakSession session,
                                             RealmModel realm,
                                             javax.ws.rs.core.UriInfo uriInfo)

  - ### Method Detail

    - #### showPageExpired

          public javax.ws.rs.core.Response showPageExpired(AuthenticationSessionModel authSession)

    - #### getLastExecutionUrl

          public URI getLastExecutionUrl(String flowPath,
                                         String executionId,
                                         String clientId,
                                         String tabId)

    - #### getLastExecutionUrl

          public URI getLastExecutionUrl(AuthenticationSessionModel authSession)

Copyright © 2020 JBoss by Red Hat. All rights reserved.